From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/flycheck/
Date: Fri, 24 Mar 2023 05:48:24 +0000 (UTC) [thread overview]
Message-ID: <1679636895.d171a0e48bd2caf5737aeeed4ac32a6e434e20ce.sam@gentoo> (raw)
commit: d171a0e48bd2caf5737aeeed4ac32a6e434e20ce
Author: John Turner <jturner.usa <AT> gmail <DOT> com>
AuthorDate: Fri Mar 24 02:44:58 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 24 05:48:15 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d171a0e4
app-emacs/flycheck: enabled tests
Signed-off-by: John Turner <jturner.usa <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/30325
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-emacs/flycheck/flycheck-32_p20230305-r1.ebuild | 49 ++++++++++++++++++++++
1 file changed, 49 insertions(+)
diff --git a/app-emacs/flycheck/flycheck-32_p20230305-r1.ebuild b/app-emacs/flycheck/flycheck-32_p20230305-r1.ebuild
new file mode 100644
index 000000000000..bf2097a746a0
--- /dev/null
+++ b/app-emacs/flycheck/flycheck-32_p20230305-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS="24.3"
+
+inherit elisp
+
+DESCRIPTION="Modern on-the-fly syntax checking extension for GNU Emacs"
+HOMEPAGE="https://www.flycheck.org/"
+COMMIT="5f2ef177cb21ae8b73714575802beef04abd0f5e"
+SRC_URI="https://github.com/flycheck/flycheck/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+IUSE="test"
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=app-emacs/dash-2.12.1
+ >=app-emacs/pkg-info-0.4
+ test? ( app-emacs/shut-up
+ app-emacs/buttercup )"
+
+SITEFILE="50${PN}-gentoo-r1.el"
+DOCS=( README.md )
+RESTRICT="!test? ( test )"
+
+# Flycheck will skip test cases which require a "checker" or emacs package that is not installed.
+src_test() {
+ ${EMACS} \
+ ${EMACSFLAGS} \
+ -L . \
+ --load "${S}"/test/flycheck-test.el \
+ --load "${S}"/test/run.el \
+ -f 'flycheck-run-tests-main'
+}
+
+src_compile() {
+ elisp_src_compile
+ elisp-make-autoload-file
+}
+
+# Remove unneeded test related files.
+src_install() {
+ rm flycheck-buttercup.el* flycheck-ert.el* || die
+ elisp_src_install
+}
next reply other threads:[~2023-03-24 5:48 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-24 5:48 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-10 4:12 [gentoo-commits] repo/gentoo:master commit in: app-emacs/flycheck/ WANG Xuerui
2024-10-03 15:08 Maciej Barć
2024-06-25 15:26 Maciej Barć
2024-06-25 15:26 Maciej Barć
2024-03-21 5:45 Joonas Niilola
2024-03-20 23:47 Sam James
2024-03-13 12:05 Arthur Zamarin
2024-03-13 12:05 Arthur Zamarin
2024-02-19 15:30 Maciej Barć
2024-02-19 15:30 Maciej Barć
2024-02-14 20:28 Maciej Barć
2024-02-07 22:22 Maciej Barć
2023-04-25 14:47 Arthur Zamarin
2023-04-25 14:23 Arthur Zamarin
2023-04-25 14:14 Arthur Zamarin
2023-04-25 14:14 Arthur Zamarin
2023-03-31 17:35 Arthur Zamarin
2023-03-25 2:57 Yixun Lan
2023-03-24 14:30 Maciej Barć
2023-03-24 14:30 Maciej Barć
2023-03-24 7:03 Sam James
2023-03-24 7:02 Sam James
2023-03-24 7:02 Sam James
2023-03-24 5:48 Sam James
2023-03-23 4:57 Sam James
2023-03-23 4:57 Sam James
2023-01-03 20:25 Sam James
2023-01-03 18:36 Arthur Zamarin
2022-12-22 13:10 Sam James
2022-12-22 13:06 Sam James
2022-10-08 7:01 Arthur Zamarin
2022-08-27 12:42 Jakov Smolić
2022-08-02 16:01 Arthur Zamarin
2022-08-02 16:01 Arthur Zamarin
2022-08-02 16:01 Arthur Zamarin
2022-07-31 6:44 Sam James
2022-04-12 22:27 Maciej Barć
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1679636895.d171a0e48bd2caf5737aeeed4ac32a6e434e20ce.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox